# FileManager

### Introduction

The FileManager provides methods and properties commonly used when working with files on the hard disk.

### Case sensitivity

Functions which access files on the file system may fail if the operating system is case sensitive (as is the case for Android and iOS).

#### iOS

The iOS operating system is case sensitive; however the simulator is not case sensitive by default - this can make testing more difficult. For information on how to make the simulator run in case sensitive mode, see this link: <http://wjlafrance.net/post/44870455348/making-the-ios-simulator-case-sensitive>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/io/filemanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
